| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
ShowFoto::ShowfotoItemInfo Class Reference

## Public Member Functions
bool | isNull () const
| Return true if all member in this container are null.
bool | operator!= (const ShowfotoItemInfo &info) const
bool | operator== (const ShowfotoItemInfo &info) const
| Compare for information equality and un-equality, not including variable values.

## Static Public Member Functions
static ShowfotoItemInfo | itemInfoFromFile (const QFileInfo &inf)

## Public Attributes
QDateTime | ctime
| camera date stamp
QDateTime | dtime
| creation time on disk
QString | folder
| Folder path to access to file.
int | height = 0
| Image height in pixels.
qlonglong | id = -1
| Unique image id.
QString | mime
| Type mime of file.
QString | name
| File name in file-system.
PhotoInfoContainer | photoInfo
qint64 | size = -1
| Static values.
QUrl | url
| file Url
int | width = 0
| Image width in pixels.

## Member Data Documentation

## ◆ size

qint64 ShowFoto::ShowfotoItemInfo::size = -1

file size in bytes.